dcraw(1)

NOM
dcraw - descodificador de línea de comandes per a fotos digitals crues (raw)

RESUM
dcraw [OPCIÓ]... [FITXER]...

DESCRIPCIÓ
dcraw descodifica fotos crues, mostra metadades i extreu les miniatures.

OPCIONS GENERALS

-v  Mostra el missatges detallats, a més d'avisos i errors.

-c  Mostra les imatges descodificades o miniatures per la sortida estándar.

-e  Extreu la miniatura generada per la càmera, no la imatge crua. Aconsegueix o bé un fitxer JPEG o un fitxer PPM, depenent de la càmera.

-z  Canvia les dates de modificació i accés d'un fitxer AVI, JPEG, TIFF o cru de quan es va fer la foto, assumint que el rellotge de la càmera estava establert en horari Universal (UTC).

-i  Identifica els fitxers sense descodificar-los. La sortida d'estat és 0 si dcraw pot descodificar el darrer fitxer, 1 si no pot. -i -v mostra les metadades.

    dcraw no pot descodificar els fitxers JPEG!!

OPCIONS DE RECUPERACIÓ

-P píxels_morts.txt
    Llegeix la llista de píxels morts d'aquest fitxer en comptes de ".badpixels". Veieu FITXERS per a una descripció del format.

-K fosc.pgm
    Substreu un quadre fosc de les dades crues. Per a generar un quadre fosc, fes una foto crua sense llum i fes dcraw -D -4 -j -t 0.

-k fosc
    Quan les ombres apareguin amb boirina, s'ha d'augmentar el nivell de fosc. Per a mesurar això, aplica pamsumm -mean al quadre fosc generat amunt.

-S saturació
    Si els realçats apareixen roses, cal reduïr el nivell de saturació. Per a mesurar això, feu una captura d'un objecte brillant i feu dcraw -D -4 -j -c foto.raw | pamsumm -max

    Els valors de fosc i saturació per omissió solen ser adequats.

-n llindar_reducció_soroll
    Utilitza un algorisme basat en ondetes per a eliminar el soroll mantenint el detall. El llindar òptim sol estar entre 100 i 1000.

-C mag_vermella mag_blau
    Amplia les capes vermella i blava segons els factors indicats, normalment de 0.999 a 1.001, per a corregir l'aberració cromàtica.

-H 0
    Exclou totes les sobreexposicions de blanc sòlid (per omissió).

-H 1
    Deixa les sobreexposicions sense excloure en vàries ombres de rosa.

-H 2
    Combina els valors retallats i no retallats en un degradat gradual a blanc.

-H 3+
    Reconstrueix les sobreexposicions. Els valors baixos afavoreixen els blancs; els valors alts afavoreixen els colors. Proveu -H 5 com a compromís. Si no és prou bo, feu -H 9, talla les sobreexposicions que no són blanques i enganxa-les sobre la imatge generada amb -H 3.

OPCIONS DE COLOR
Per omissió, dcraw usa balanç de blancs prefixat basat en una carta de colors sota il·luminació estàndar D65.

-w  Utilitza el balanç de blancs especificat per la càmera. Si no es troba, mostra un missatge d'avís i utilitza un altre mètode.

-a  Calcula el balanç de blancs fent la mitja de tota la imatge.

-A esquerra amunt ample alt
    Calcula el balanç de blancs fent la mitja d'un àrea rectangular. Primer feu dcraw -j -t 0 i seleccioneu un àrea de color gris neutre.

-r mul0 mul1 mul2 mul3
    Especifica el teu propi balanç de blancs. Aquests multiplicadors es poden tallar i enganxar des de la sortida de dcraw -v.

+M o -M
    Utiliza (o no utilizis) la matriu de colors incrustada en les metadades de la càmera. Si heu seleccionat -w el seu valor per omissió és +M , sinò el valor per omissió és -M Aquesta opció només afecta a les càmeres Olympus, Leaf i Phase One.

-o [0-5]
    Selecciona l'espai de color de sortida quan la opció -p no s'utilitza: 0 Color cru (únic per a cada càmera)
    1 sRGB D65 (per omissió)
    2 Adobe RGB (1998) D65
    3 Wide Gamut RGB D65
    4 Kodak ProPhoto RGB D65
    5 XYZ

-p càmera.icm [ -o sortida.icm ]
    Utilitza perfils de color ICC per a definir l'espai de color cru de la càmera i l'espai de color desitjat (sRGB per omissió).

-p embed
    Utilitza el perfil de color ICC associat de la foto crua.

OPCIONS D'INTERPOLACIÓ

-d  Mostra les dades crues com una imatge en escala de grisos sense interpolació. Útil per a fotografiar documents en blanc i negre.

-D  Igual que -d, però totalment cru (sense escalat de color).

-h  Mostra una imatge en color a la meitat de la seva mida original. Doble de ràpid que -q 0.

-q 0
    Utilitza la interpolació bilineal d'alta velocitat i baixa qualitat.

-q 1
    Utilitza la interpolació de Número Variable de Gradients (VNG).

-q 2
    Utilitza la interpolació per Agrupació de Píxels en Patrons (PPG).

-q 3
    Utilitza la interpolació Adaptativa Dirigida a la Homogeneïtat (AHD).

-f  Interpola RGB com a quatre colors. Useu això si la sortida mostra retines 2x2 falses amb VNG o laberints amb AHD.

-m numero_de_passes
    Després de la interpolació, elimina els artefactes de color aplicant repetidament un filtre de mediana de 3x3 als canals R-G i B-G.

OPCIONS DE SORTIDA
Per omissió, dcraw genera fitxers PGM/PPM/PAM de 8 bits, corba gamma BT.709, nivell de blanc basat en histograma, i cap metadada.

-W  Utilitza nivell de blanc prefixat, ignorant l'histograma de la imatge.

-b lluminositat
    Divideix el nivell de blanc per aquest número, per omissió 1.0.

-g potència pendent_picada
    Permet triar la corba de gamma, per omissió BT.709 (-g 2.222 4.5). Si preferiu la correcció de gama sRGB, useu -g 2.4 12.92. Per triar una corba de potència simple, trieu una valor de pendent picada zero.

-6  Escriu setze bits per mostra en comptes de vuit.

-4  16 bits lineal, com a -6 -W -g 1 1.

-T  Desa en format TIFF amb metadades en comptes de PGM/PPM/PAM.

-t [0-7,90,180,270]
    Gira la imatge de sortida. Per omissió, dcraw aplica el gir especificat per la càmera. -t 0 deshabilita tots els girs.

-j  Per a càmeres Fuji Super CCD, mostra la imatge girada 45 graus. Per a càmeres sense píxels quadrats, no encongeixis la imatge a la seva relació d'aspecte correcte. En qualsevol cas, aquesta opció garantitza que cada píxel de sortida correspon amb un píxel cru.

-s [0..N-1] o -s all
    Si un fitxer conté N imatges crues, trieu descodificar una concreta o "all" (totes). Por exemple, les càmeres Fuji Super CCD SR generen una segona imatge subexposada quatre parades per a mostrar en detall les sobreexposicions.

FITXERS

./.badpixels, ../.badpixels, ../../.badpixels, ...
    Llista els píxels morts de la càmera, per a que dcraw pugui interpolar al seu voltant. Cada línea especifica la columna, fila i temps UNIX de la mort de cada píxel. Per exemple:

     962   91 1028350000  # va morir entre el 1 i el 4 d'Agost del 2002
    1285 1067 0           # no es sap quan va morir aquest píxel

    Aquestes coordenades són d'abans del retall o rotació, així que utilitza dcraw -j -t 0 per a trobar píxels morts.

VEiEU TAMBÉ
pgm(5), ppm(5), pam(5), pamsumm(1), pnmgamma(1), pnmtotiff(1), pnmtopng(1), gphoto2(1), cjpeg(1), djpeg(1)

AUTOR
David Coffin, dcoffin a cybercom o net

TRADUCCIÓ
Paco Rivière, http://pacoriviere.cat/